gtk-sharp 2.12.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. Gtk.Dialog Configure devices for the XInput extension.

NOTE: this is considered too specialized/little-used for Gtk#, and will in the future be moved to some other package. If your application needs this , feel free to use it, as the does work and is useful in some applications; it's just not of general interest. However, we are not accepting new features for the , and it will eventually move out of the Gtk# distribution.

displays a which allows the user to configure XInput extension devices. For each device, they can control the mode of the device (disabled, screen-relative, or window-relative), the mapping of axes to coordinates, and the mapping of the devices macro keys to key press events.

contains two s to which the application can connect; one for closing the , and one for saving the changes. No actions are bound to these by default. The changes that the user makes take effect immediately.

- Constructor
  2.12.0.0
  Creates an instance of
  Creates an instance of
- Constructor
  2.12.0.0
  System.Obsolete
  a
  Protected Constructor.
  Chain to this constructor if you have manually registered a native value for your subclass.
- Constructor
  2.12.0.0
  Pointer to the C object.
  Internal constructor

  This is an internal constructor, and should not be used by user code.

- Property
  2.12.0.0
  Gtk.Button The "close window" button in this dialog. a
- Event
  2.12.0.0
  GLib.Signal("disable_device")
  Gtk.DisableDeviceHandler Emitted when the user changes the mode of a device from a GDK_MODE_SCREEN or GDK_MODE_WINDOW to GDK_MODE_ENABLED. This signal is emitted when the user changes the mode of a device from a GDK_MODE_SCREEN or GDK_MODE_WINDOW to GDK_MODE_ENABLED.
- Event
  2.12.0.0
  GLib.Signal("enable_device")
  Gtk.EnableDeviceHandler Emitted when the user changes the mode of a device from GDK_MODE_DISABLED to a GDK_MODE_SCREEN or GDK_MODE_WINDOW. This signal is emitted when the user changes the mode of a device from GDK_MODE_DISABLED to a GDK_MODE_SCREEN or GDK_MODE_WINDOW.
- Property
  2.12.0.0
  GLib.GType GType Property. a Returns the native value for .
- Method
  2.12.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideDisableDevice", Type=typeof(Gtk.InputDialog))
  System.Void `` a Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  2.12.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideEnableDevice", Type=typeof(Gtk.InputDialog))
  System.Void `` a Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Property
  2.12.0.0
  Gtk.Button The save button in this dialog. a